# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'machine_learner/version'

Gem::Specification.new do |spec|
  spec.name          = "machine_learner"
  spec.version       = MachineLearner::VERSION
  spec.authors       = ["YutaTanaka"]
  spec.email         = ["yuta84q.ihcarok@gmail.com"]
  spec.summary       = "Library for machine learning."
  spec.description   = "This is a library for machine learning.\n" + 
                       "You can use AdaBoost and Naive Bayes easily.\n"
  spec.homepage      = "https://github.com/84q/machine_learner"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", "~> 10.0"
end

# vim: set et ts=2 sts=2 sw=2:
